Skip to main content
GET
/
v0
/
business
/
{business_id}
/
customers
List customers for a business
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "id": "<string>",
      "external_id": "<string>",
      "email": "<string>",
      "billing_address": {
        "street_1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>",
        "street_2": "<string>"
      },
      "shipping_address": {
        "street_1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>",
        "street_2": "<string>"
      },
      "phone_number": "<string>"
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

Query Parameters

page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100

Response

Successful Response

data
Customer · object[]
required

List of customers

pagination
PaginationResponse · object
required

Pagination information